NetworkChangeEvent
Keywords: uk.ac.ic.doc.automed.reps.NetworkChangeEvent,NetworkChangeEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class NetworkChangeEvent

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.NetworkChangeEvent

public class NetworkChangeEvent
extends java.lang.Object

Field Summary
`static int` | `EDGE_ADDED`
`static int` | `EDGE_REMOVED`
`static int` | `NETWORK_ADDED`
`static int` | `NETWORK_MERGED`
`static int` | `NETWORK_REMOVED`
`static int` | `NETWORK_SPLIT`
`static int` | `NODE_ADDED`
`static int` | `NODE_REMOVED`

Constructor Summary
`NetworkChangeEvent(int type, java.lang.Object delta)`

Method Summary
`java.lang.Object` | `getDelta()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_ADDED

    public static final int NODE_ADDED

See Also:
  Constant Field Values

### NODE_REMOVED

    public static final int NODE_REMOVED

See Also:
  Constant Field Values

### EDGE_ADDED

    public static final int EDGE_ADDED

See Also:
  Constant Field Values

### EDGE_REMOVED

    public static final int EDGE_REMOVED

See Also:
  Constant Field Values

### NETWORK_ADDED

    public static final int NETWORK_ADDED

See Also:
  Constant Field Values

### NETWORK_REMOVED

    public static final int NETWORK_REMOVED

See Also:
  Constant Field Values

### NETWORK_MERGED

    public static final int NETWORK_MERGED

See Also:
  Constant Field Values

### NETWORK_SPLIT

    public static final int NETWORK_SPLIT

See Also:
  Constant Field Values

Constructor Detail

### NetworkChangeEvent

    public NetworkChangeEvent(int type,
                              java.lang.Object delta)
                       throws InconsistentException

Method Detail

### getType

    public int getType()

### getDelta

    public java.lang.Object getDelta()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD